%define ocamlname mtime

Name:           ocaml-%{ocamlname}
Version:        1.1.0
Release:        1%{?dist}.emp1
Summary:        Monotonic wall-clock time for OCaml
License:        ISC
URL:            http://erratique.ch/software/%{ocamlname}
Source0:        %{ocamlname}-%{version}.tbz

Requires:	ocaml >= 4.03.0
Requires:  	ocaml-js_of_ocaml

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.03.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-topkg-devel >= 0.9.0
BuildRequires:  ocaml-js_of_ocaml-devel


%description
Mtime has platform independent support for monotonic wall-clock time
in pure OCaml. This time increases monotonically and is not subject to
operating system calendar time adjustments. The library has types to
represent nanosecond precision timestamps and time spans.

The additional Mtime_clock library provide access to a system
monotonic clock.

Mtime has a no dependency. Mtime_clock depends on your system library.
The optional JavaScript support depends on [js_of_ocaml][jsoo]. Mtime
and its libraries are distributed under the ISC license.

[jsoo]: http://ocsigen.org/js_of_ocaml/


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:  	ocaml-js_of_ocaml-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
ocaml pkg/pkg.ml build --with-js_of_ocaml true

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install
echo %{ocamlname} > \
    %{buildroot}/%{_libdir}/ocaml/stublibs/dll%{ocamlname}_stubs.so.owner

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.md
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/min_os.ml
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
